GlobalAiOpc
Seedance2.0 - Submit Asset
Submit Seedance2.0 assets and use the returned assetId in video generation
Seedance2.0 Submit Asset
Submit an image, video, or audio asset. In video generation, reference your uploaded asset with
assetId://{assetId}.认证
获取 KeycURL
Authorization: Bearer {{key}}
assetTypestringrequiredAsset type:
Image, Video, Audio.urlstringrequiredOriginal asset URL. It must be accessible by the server. Base64 input is not supported.
namestringAsset name. Names longer than 50 Unicode characters are truncated automatically.
In video generation,
image_url.url, video_url.url, and audio_url.url can reference assets returned by this API with assetId://{assetId}. After submission, the asset automatically enters processing; use status to determine whether it is ready.assetIdstringAsset ID.
assetTypestringAsset type.
urlstringOriginal asset URL.
statusstringAsset status, usually
PROCESSING after submission. Only assets with status=ACTIVE can be used to create video generation tasks.errorMessagestringError message when asset processing fails; otherwise
null.namestringAsset name.
Asset Statuses
NONE: The asset record has been created, but uploading or processing has not started. Query the asset detail later. Do not create a task yet.UPLOADING: The asset is being uploaded. Wait for the status to change. Do not create a task yet.PROCESSING: The asset has been submitted and is being processed. Continue querying the asset detail. Do not create a task yet.ACTIVE: The asset has been processed and is ready. This is the only status that can be used to create a video generation task.FAILED: Asset processing failed. CheckerrorMessage, resolve the problem, and submit the asset again.EXPIRED: The asset has expired and is unavailable. Query the asset detail and wait for it to be processed toACTIVE, or submit the asset again if necessary.DELETED: The asset has been deleted or is no longer valid. Submit the asset again and wait until its status becomesACTIVE.
